using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            MyCircle c = new MyCircle();
            c.Radius = 10;
            MessageBox.Show(c.Area().ToString());
        }
    }
    interface I_2DShapes
    {
        double Width { get; set; }
        double Height { get; set; }
        double Area();
    }
    public class MyCircle : I_2DShapes
    {
        private double _Width, _Height;
        public  double Width { get { return _Width; } set { _Width = value; } }
        public  double Height { get { return _Height; } set { _Height = value; } }
        public double Radius { get { return Height / 2.0; } set { Height = Width = 2 * value; } }
        public double Area()
        {
            return (Math.PI * _Width / 2.0 * _Width / 2.0);
        }
    }
}
